<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: upload.VersionControlSystem Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classupload_1_1VersionControlSystem.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">upload.VersionControlSystem Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for upload.VersionControlSystem:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1VersionControlSystem__inherit__graph.svg" width="499" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for upload.VersionControlSystem:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1VersionControlSystem__coll__graph.svg" width="226" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ace97e5785a2b40011404ae6fbb956ecf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#ace97e5785a2b40011404ae6fbb956ecf">__init__</a> (self, options)</td></tr>
<tr class="separator:ace97e5785a2b40011404ae6fbb956ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5eb260c96e7016dab36b5fc136c9f49"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#aa5eb260c96e7016dab36b5fc136c9f49">GenerateDiff</a> (self, args)</td></tr>
<tr class="separator:aa5eb260c96e7016dab36b5fc136c9f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a60e56aa9aff3df4001d2f84cab884"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a56a60e56aa9aff3df4001d2f84cab884">GetUnknownFiles</a> (self)</td></tr>
<tr class="separator:a56a60e56aa9aff3df4001d2f84cab884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2923d691a1b1047e9359c5b7c1c103f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#ad2923d691a1b1047e9359c5b7c1c103f">CheckForUnknownFiles</a> (self)</td></tr>
<tr class="separator:ad2923d691a1b1047e9359c5b7c1c103f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd9d4ecba422102233a2ba13e5bfaf5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#adfd9d4ecba422102233a2ba13e5bfaf5">GetBaseFile</a> (self, filename)</td></tr>
<tr class="separator:adfd9d4ecba422102233a2ba13e5bfaf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a812c3b3daf90c88b015fa4b26252e291"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a812c3b3daf90c88b015fa4b26252e291">GetBaseFiles</a> (self, diff)</td></tr>
<tr class="separator:a812c3b3daf90c88b015fa4b26252e291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e334f967301b9e85e5a9c39f5036823"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a7e334f967301b9e85e5a9c39f5036823">UploadBaseFiles</a> (self, issue, rpc_server, patch_list, patchset, options, files)</td></tr>
<tr class="separator:a7e334f967301b9e85e5a9c39f5036823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846889ecd2ef40870b456ddb5b349e02"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a846889ecd2ef40870b456ddb5b349e02">IsImage</a> (self, filename)</td></tr>
<tr class="separator:a846889ecd2ef40870b456ddb5b349e02"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4d57d043bc408887b94269fe4cea9556"><td class="memItemLeft" align="right" valign="top"><a id="a4d57d043bc408887b94269fe4cea9556"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>options</b></td></tr>
<tr class="separator:a4d57d043bc408887b94269fe4cea9556"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Abstract base class providing an interface to the VCS.</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ace97e5785a2b40011404ae6fbb956ecf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace97e5785a2b40011404ae6fbb956ecf">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor.

Args:
  options: Command line options.
</pre> 
<p>Reimplemented in <a class="el" href="classupload_1_1GitVCS.html#aba4e1dca1c4b3e5db7ba07f6bce3c839">upload.GitVCS</a>, and <a class="el" href="classupload_1_1SubversionVCS.html#a8333f94e27335ce83eed0cc3f5a1eeb0">upload.SubversionVCS</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad2923d691a1b1047e9359c5b7c1c103f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2923d691a1b1047e9359c5b7c1c103f">&#9670;&nbsp;</a></span>CheckForUnknownFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.CheckForUnknownFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Show an "are you sure?" prompt if there are unknown files.</pre> 
</div>
</div>
<a id="aa5eb260c96e7016dab36b5fc136c9f49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5eb260c96e7016dab36b5fc136c9f49">&#9670;&nbsp;</a></span>GenerateDiff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.GenerateDiff </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return the current diff as a string.

Args:
  args: Extra arguments to pass to the diff command.
</pre> 
<p>Reimplemented in <a class="el" href="classupload_1_1MercurialVCS.html#a6c05746012d8cd435c94ace1465671ef">upload.MercurialVCS</a>, <a class="el" href="classupload_1_1GitVCS.html#a3ebfc01cebc9b585706ad3f4389a8833">upload.GitVCS</a>, and <a class="el" href="classupload_1_1SubversionVCS.html#a07c2d341f2c7df2772dd7f85e89b0212">upload.SubversionVCS</a>.</p>

</div>
</div>
<a id="adfd9d4ecba422102233a2ba13e5bfaf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfd9d4ecba422102233a2ba13e5bfaf5">&#9670;&nbsp;</a></span>GetBaseFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.GetBaseFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get the content of the upstream version of a file.

Returns:
  A tuple (base_content, new_content, is_binary, status)
    base_content: The contents of the base file.
    new_content: For text files, this is empty.  For binary files, this is
      the contents of the new file, since the diff output won't contain
      information to reconstruct the current file.
    is_binary: True iff the file is binary.
    status: The status of the file.
</pre> 
<p>Reimplemented in <a class="el" href="classupload_1_1MercurialVCS.html#a0cdc0cbe6ac4daab82f5f01e6ae2e670">upload.MercurialVCS</a>, <a class="el" href="classupload_1_1GitVCS.html#a70ddb65a6b512b8cb8cc4affa37ff9b4">upload.GitVCS</a>, and <a class="el" href="classupload_1_1SubversionVCS.html#a29dec4941de0824734d6842a2f33ffc3">upload.SubversionVCS</a>.</p>

</div>
</div>
<a id="a812c3b3daf90c88b015fa4b26252e291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a812c3b3daf90c88b015fa4b26252e291">&#9670;&nbsp;</a></span>GetBaseFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.GetBaseFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>diff</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Helper that calls GetBase file for each file in the patch.

Returns:
  A dictionary that maps from filename to GetBaseFile's tuple.  Filenames
  are retrieved based on lines that start with "Index:" or
  "Property changes on:".
</pre> 
</div>
</div>
<a id="a56a60e56aa9aff3df4001d2f84cab884"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56a60e56aa9aff3df4001d2f84cab884">&#9670;&nbsp;</a></span>GetUnknownFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.GetUnknownFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return a list of files unknown to the VCS.</pre> 
<p>Reimplemented in <a class="el" href="classupload_1_1MercurialVCS.html#a6190899fb86cd09ad84cc5d4b0ebd2f3">upload.MercurialVCS</a>, <a class="el" href="classupload_1_1GitVCS.html#ae4e8c0e9fa01619c6a5c76d1ab84b995">upload.GitVCS</a>, and <a class="el" href="classupload_1_1SubversionVCS.html#a494ba1010992d83cac015bc396ab693a">upload.SubversionVCS</a>.</p>

</div>
</div>
<a id="a846889ecd2ef40870b456ddb5b349e02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a846889ecd2ef40870b456ddb5b349e02">&#9670;&nbsp;</a></span>IsImage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.IsImage </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns true if the filename has an image extension.</pre> 
</div>
</div>
<a id="a7e334f967301b9e85e5a9c39f5036823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e334f967301b9e85e5a9c39f5036823">&#9670;&nbsp;</a></span>UploadBaseFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.VersionControlSystem.UploadBaseFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>issue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>rpc_server</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>patch_list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>patchset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>options</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>files</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Uploads the base files (and if necessary, the current ones as well).</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>upload.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>upload</b></li><li class="navelem"><a class="el" href="classupload_1_1VersionControlSystem.html">VersionControlSystem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
